Bug 730512 - psad generates errors messages from logrotate
Summary: psad generates errors messages from logrotate
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: psad
Version: 15
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-14 02:26 UTC by Frank Crawford
Modified: 2012-09-22 06:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:06:49 UTC


Attachments (Terms of Use)

Description Frank Crawford 2011-08-14 02:26:03 UTC
Description of problem:
The psad logrotate script generates an error message from logrotate when not using kmsgsd for managing messages.

Version-Release number of selected component (if applicable):
psad-2.1.7-2.fc15.x86_64
logrotate-3.7.9-14.fc15.x86_64
rsyslog-5.8.2-1.fc15.x86_64

How reproducible:
Run logrotate or just view the output from a regular weekly run.

Steps to Reproduce:
1. Configure the SYSLOG_DAEMON as syslogd and set ENABLE_SYSLOG_FILE to Y
2. Run logrotate
3. View output
  
Actual results:
Messages from logrotate of the form:

[+] HUP signal sent to psadwatchd (pid: 3812)
[+] HUP signal sent to psad (pid: 3808)
error: error running non-shared postrotate script for /var/log/psad/fwdata of '/var/log/psad/fwdata '

Expected results:
No errors, or even better no output if there are no issues.

Additional info:
From inspection of the psad code, the error message is caused by psad exiting with a return code of 1, due to no kmsgsd running, but that is an expected state and should not exit with a non-zero error code.

Comment 1 Fedora End Of Life 2012-08-07 18:06:51 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.